## org.apache.lucene.analysis.tokenattributes
Interface FlagsAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  FlagsAttributeImpl, Token

    public interface FlagsAttribute

extends Attribute

This attribute can be used to pass different flags down the `Tokenizer` chain, eg from one TokenFilter to another one.

WARNING: This API is experimental and might change in incompatible ways in the next release.
  While we think this is here to stay, we may want to change it to be a long.

Method Summary
`int` `getFlags()` Get the bitset for any bits that have been set.
`void` `setFlags(int flags)`

Method Detail

### getFlags

    int getFlags()

  Get the bitset for any bits that have been set. This is completely distinct from `TypeAttribute.type()`, although they do share similar purposes. The flags can be used to encode information about the token for use by other `TokenFilter`s.

  Returns:
    The bits

### setFlags

    void setFlags(int flags)

  See Also:
    `getFlags()`